List Of Smart Contract Transactions¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
| wallet_code Required | String | Wallet ID |
Query Parameters¶
| Field | Type | Description |
|---|---|---|
| chain Optional | String | Cactus chain name Allowed Value: Refer to Network Symbol column in Supported Token |
| keyword Optional | String | Keyword (can refer to order ID, withdrawal order maker/applicant, contract address) |
| sort_by_time Optional | String | Sort by time (DESC, ASC) Default value : DESC - Sort by descending creation time |
| status Optional | String | Order Status |
| start_time Optional | Integer | Filter order start timestamp |
| end_time Optional | Integer | Filter order end timestamp |
| limit Optional | Integer | Limit default as 10 |
| offset Optional | Integer | Offset default as 0 |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Response data (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| offset | Integer | Offset |
| limit | Integer | Limit |
| total | Integer | Total number of records |
| list | Object[] | List of historical smart contract transactions (see list object details below) |
list (object)
| Field | Type | Description |
|---|---|---|
| domain_id | String | Domain identifier |
| type | String | Transaction type |
| order_wallet_info_model | Object | Wallet information model |
| wallet_code | String | Wallet code |
| coin_name | String | Coin/token name |
| wallet_name | String | Wallet name |
| connect_type | String | Connection type |
| time_stamp | Long | Order creation time stamp |
| block_hash | String | Block hash |
| miner_fee | Decimal | Miner fee for executing the contract |
| miner_fee_str | String | Miner fee in string format |
| order_no | String | Order number |
| serial_no | String | Serial number |
| contract_address | String | Contract address |
| contract_address_desc | String | Contract address description |
| contract_address_label | String | Contract address label |
| from_address | String | From address |
| contract_function | String | Contract function |
| contract_function_signature | String | Contract function signature |
| gas_price | Decimal | Gas price |
| gas_price_str | String | Gas price in string format |
| max_fee_per_gas | Decimal | Max fee |
| max_fee_per_gas_str | String | Max fee in string format |
| max_priority_fee_per_gas | Decimal | Priority fee |
| max_priority_fee_per_gas_str | String | Priority fee in string format |
| gas_limit | Decimal | Gas limit |
| gas_limit_str | String | Gas limit in string format |
| gas_used | Decimal | Gas used |
| gas_used_str | String | Gas used in string format |
| contract_data | String | Contract data |
| nonce | String | Transaction nonce |
| applicant | String | Order maker / applicant |
| status | String | Order status Allowed values: FINISHED, FAILED, PROCESSING, ORDER_SEND_OUT, COMPLETED_FAILED, CANCELED, INVALID |
| ext_status | String | External status |
| inner_status | String | Internal status |
| amount | Decimal | Withdrawal amount |
| amount_str | String | Withdrawal amount in string format |
| tx_id | String | Transaction hash |
| description | String | Order description |
| deposit_trans | Object[] | Deposit transaction (see deposit_trans / withdraw_trans object details below) |
| withdraw_trans | Object[] | Withdrawal transaction (see deposit_trans / withdraw_trans object details below) |
| wallet_id | Integer | Wallet ID |
| chain | String | Chain name |
| chain_id | String | Chain ID |
| payload | String | Original request payload |
| signed_data | String | Signed transaction data |
| contract_instructions | String | Contract instructions |
| bname | String | Business name |
| bid | String | Business line ID |
deposit_trans / withdraw_trans (object)
| Field | Type | Description |
|---|---|---|
| amount | Decimal | Amount |
| amount_str | String | Amount value in string format |
| coin_name | String | Coin/token type |
Response Example¶
{
"code": 0,
"message": "",
"data": {
"offset": 0,
"limit": 10,
"list": [
{
"domain_id": "bff7b979ff84443fb461a4f72f8fea7a",
"type": "API_DAPP_TRANSACTION",
"order_wallet_info_model": null,
"wallet_code": "DeFiEVM8600875528",
"coin_name": null,
"wallet_name": "",
"connect_type": null,
"time_stamp": 1681065229000,
"block_hash": "",
"miner_fee": 3294023120852006,
"miner_fee_str": "3294023120852006",
"order_no": "D996885000271",
"serial_no": "G4BXC0MLQ1D996885000271",
"contract_address": "0xa3b3E16CFe7BB04ad379af63De9Ec1d1bc723C11",
"contract_address_desc": null,
"contract_address_label": null,
"from_address": null,
"contract_function": "0xa9059cbb",
"contract_function_signature": "0xa9059cbb",
"gas_price": 71444565151,
"gas_price_str": "71444565151",
"max_fee_per_gas": null,
"max_fee_per_gas_str": null,
"max_priority_fee_per_gas": null,
"max_priority_fee_per_gas_str": null,
"gas_limit": 90000,
"gas_limit_str": "90000",
"gas_used": null,
"gas_used_str": null,
"contract_data": "0xa9059cbb000000000000000000000000cee33165696af07781f4cc616f4563c2f8c6b1300000000000000000000000000000000000000000000000000000000000000064",
"nonce": "0",
"applicant": "test@abc.com",
"status": "FINISHED",
"ext_status": null,
"inner_status": "FINISHED",
"amount": 0,
"amount_str": "0",
"tx_id": "0xaa0b899af3e2be34c89636e3f9f5829d15a197dd8bb0df58331297ec5d191c43",
"description": "",
"deposit_trans": [
{
"amount": 100,
"amount_str": "100",
"coin_name": "USDTERC"
}
],
"withdraw_trans": [
{
"amount": 100,
"amount_str": "100",
"coin_name": "USDTERC"
}
],
"wallet_id": 18152,
"chain": null,
"chain_id": "5",
"payload": null,
"signed_data": null,
"contract_instructions": null,
"bname": null,
"bid": "a3de9b7c703e4762974a1df7aafe724f"
}
],
"total": 1
},
"successful": true
}